let
  config = {
    packageOverrides = pkgs: rec {
      haskellPackages = pkgs.haskellPackages.override {
        overrides = haskellPackagesNew: haskellPackagesOld: rec {
          jitsi-rooms =
            haskellPackagesNew.callPackage ./converted.nix { };
        };
      };
    };
  };
  pkgs = import <nixpkgs> { inherit config; };


in
pkgs.dockerTools.buildImage {
  name = "jitsi-rooms";
  tag = "latest";
  copyToRoot = pkgs.buildEnv {
    name = "image-root";
    paths = [
      # pkgs.bash
      # pkgs.coreutils
    ];
    pathsToLink = [ "/bin" ];
  };
  config = {
    Cmd = [ "${pkgs.haskellPackages.jitsi-rooms}/bin/jitsi-rooms-exe" ];
    ExposedPorts = {
      "9160/tcp" = { };
      "8081/tcp" = { };
    };
    Env = [
      "LANG=en_US.UTF-8"
    ];
  };
}
